- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# eos_linkagg – Manage link aggregation groups on Arista EOS network devices

New in version 2.5.

- DEPRECATED

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Updated modules released with more functionality

Alternative

  eos_lag_interfaces

## Synopsis

- This module provides declarative management of link aggregation groups on Arista EOS network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of link aggregation definitions.
auth_pass string |  | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli` and `become: yes` with `become_pass`. This option is only required if you are using eAPI. For more information please see the EOS Platform Options guide. Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.
authorize boolean | Choices: no ← yes | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli` and `become: yes`. This option is only required if you are using eAPI. For more information please see the EOS Platform Options guide. Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.
group - |  | Channel-group number for the port-channel Link aggregation group. Range 1-2000.
members - |  | List of members of the link aggregation group.
min_links - |  | Minimum number of ports required up before bringing up the link aggregation group.
mode - | Choices: active on passive | Mode of the link aggregation group.
provider dictionary |  | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli`. This option is only required if you are using eAPI. For more information please see the EOS Platform Options guide. A dict object containing connection details.
| auth_pass string |  | Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.
| authorize boolean | Choices: no ← yes | Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.
| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This is a common argument used for either cli or eapi transports. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 0 | Specifies the port to use when building the connection to the remote device. This value applies to either cli or eapi. The port value will default to the appropriate transport common port if none is provided in the task (cli=22, http=80, https=443).
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string / required | Choices: cli ← eapi | Configures the transport connection to use when connecting to the remote device.
| use_proxy boolean added in 2.5 | Choices: no yes ← | If `no`, the environment variables `http_proxy` and `https_proxy` will be ignored.
| use_ssl boolean | Choices: no yes ← | Configures the transport to use SSL if set to `yes` only when the `transport=eapi`. If the transport argument is not eapi, this value is ignored.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate either the CLI login or the eAPI authentication depending on which transport is used. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates. If the transport argument is not eapi, this value is ignored.
purge boolean | Choices: no ← yes | Purge links not defined in the aggregate parameter.
state - | Choices: present ← absent | State of the link aggregation group.

## Notes

Note

- Tested against EOS 4.15

- For information on using CLI, eAPI and privileged mode see the EOS Platform Options guide

- For more information on using Ansible to manage network devices see the Ansible Network Guide

- For more information on using Ansible to manage Arista EOS devices see the Arista integration page.

## Examples

    - name: create link aggregation group
      eos_linkagg:
        group: 10
        state: present

    - name: delete link aggregation group
      eos_linkagg:
        group: 10
        state: absent

    - name: set link aggregation group to members
      eos_linkagg:
        group: 200
        min_links: 3
        mode: active
        members:
          - Ethernet0
          - Ethernet1

    - name: remove link aggregation group from Ethernet0
      eos_linkagg:
        group: 200
        min_links: 3
        mode: active
        members:
          - Ethernet1

    - name: Create aggregate of linkagg definitions
      eos_linkagg:
        aggregate:
          - { group: 3, mode: on, members: [Ethernet1] }
          - { group: 100, mode: passive, min_links: 3, members: [Ethernet2] }

    - name: Remove aggregate of linkagg definitions
      eos_linkagg:
        aggregate:
          - { group: 3, mode: on, members: [Ethernet1] }
          - { group: 100, mode: passive, min_links: 3, members: [Ethernet2] }
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['interface port-channel 30', 'port-channel min-links 5', 'interface Ethernet3', 'channel-group 30 mode on', 'no interface port-channel 30']

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Trishna Guha (@trishnaguha)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.